org.richfaces.resource.external

## Class AbsoluteRequestPathResource

- java.lang.Object
- - javax.faces.application.Resource
  - - org.richfaces.resource.external.ExternalResource
    - - org.richfaces.resource.external.AbsoluteRequestPathResource

-     public class AbsoluteRequestPathResource
      extends ExternalResource

  Implementation of `Resource` which serves resources from absolute path.

  Thus it does provide only `getRequestPath()` method, all other methods throws `UnsupportedOperationException`.

  Author:
    Lukas Fryc

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.Resource

      `COMPONENT_RESOURCE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbsoluteRequestPathResource(String absoluteRequestPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExternalLocation()` The location external to standard JSF resource handler
    `InputStream` | `getInputStream()`
    `String` | `getRequestPath()`
    `Map<String,String>` | `getResponseHeaders()`
    `URL` | `getURL()`
    `boolean` | `userAgentNeedsUpdate(javax.faces.context.FacesContext context)`

    - ### Methods inherited from class javax.faces.application.Resource

      `getContentType, getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbsoluteRequestPathResource

          public AbsoluteRequestPathResource(String absoluteRequestPath)

  - ### Method Detail

    - #### getRequestPath

          public String getRequestPath()

      Specified by:
        `getRequestPath` in class `javax.faces.application.Resource`

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Specified by:
        `getInputStream` in class `javax.faces.application.Resource`
      Throws:
        `IOException`

    - #### getResponseHeaders

          public Map<String,String> getResponseHeaders()

      Specified by:
        `getResponseHeaders` in class `javax.faces.application.Resource`

    - #### getURL

          public URL getURL()

      Specified by:
        `getURL` in class `javax.faces.application.Resource`

    - #### userAgentNeedsUpdate

          public boolean userAgentNeedsUpdate(javax.faces.context.FacesContext context)

      Specified by:
        `userAgentNeedsUpdate` in class `javax.faces.application.Resource`

    - #### getExternalLocation

          public String getExternalLocation()

      Description copied from class: `ExternalResource`
      The location external to standard JSF resource handler
      Specified by:
        `getExternalLocation` in class `ExternalResource`
      Returns:
        location external to standard JSF resource handler

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.